export declare type Method = 'getUserInfo' | 'getDeviceInfo' | 'openQRCode' | 'portalSkipApps' | 'getDataValue' | 'saveDataValue' | 'openNewPage' | 'messageTo' | 'callPhone' | 'openPhoneBook';
export interface XmCallback {
    (str: string): void;
}
export interface XmOption {
    param?: Record<string, string | number | boolean>;
    success?: XmCallback;
    fail?: XmCallback;
}
declare class XMAPIFactory {
    success: XmCallback;
    fail: XmCallback;
    constructor(invokeID: string, apiName: string, param?: Record<string, string | number | boolean>, success?: XmCallback, fail?: XmCallback);
}
declare class XMAPICallBack {
    callBackObjects: Map<string, XMAPIFactory>;
    constructor();
    success(invokeID: string, data: string): void;
    fail(invokeID: string, msg: string): void;
}
declare global {
    interface Window {
        XMAPICallBack: XMAPICallBack;
    }
}
export default function xm(name: Method | string, xmOption?: XmOption): void;
export {};
